import { IApiPayload, IDataTableQuery, IDataFetcherResponse } from '../../../../../_common';
import { ITenantDimension } from './Dimensions.models';

export declare const dimensionsApi: {
    /** List etl processes */
    getList(query?: IDataTableQuery): Promise<IDataFetcherResponse<ITenantDimension>>;
    /** create entity */
    getOne(id: number): Promise<IApiPayload<ITenantDimension>>;
};
